From d6ef1cd069e2d8a84eb63d831b273f8fc2af2149 Mon Sep 17 00:00:00 2001
Message-Id: <d6ef1cd069e2d8a84eb63d831b273f8fc2af2149.1735847714.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 2 Jan 2025 19:54:48 +0000
Subject: [PATCH] gnu: Add julia-cpuid.

* gnu/packages/julia-xyz.scm (julia-cpuid): New variable.

Change-Id: Ifd9abfb142184c58941c97e959a4b5c9247ce1a8
---
 gnu/packages/julia-xyz.scm | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 03621a94c7..a6a4eabd6f 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -5,7 +5,7 @@
 ;;; Copyright © 2021 Vinicius Monego <monego@posteo.net>
 ;;; Copyright © 2021 jgart <jgart@dismail.de>
 ;;; Copyright © 2023 Sharlatan Hellseher <sharlatanus@gmail.com>
-;;; Copyright © 2024 Spencer King <spencer.king@geneoscopy.com>
+;;; Copyright © 2024, 2025 Spencer King <spencer.king@geneoscopy.com>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1466,6 +1466,28 @@ (define-public julia-coordinatetransformations
 as SLAM (simultaneous localization and mapping).")
       (license license:expat))))
 
+(define-public julia-cpuid
+  (package
+    (name "julia-cpuid")
+    (version "0.3.2")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/m-j-w/CpuId.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "0x2csy8cvd1rm49qpqpkb3zs7swj4r91zdsyjafqr7hvjp9h3hjz"))))
+    (build-system julia-build-system)
+    (propagated-inputs (list julia-precompiletools))
+    (home-page "https://github.com/m-j-w/CpuId.jl")
+    (synopsis "Ask the CPU for its features and specifications")
+    (description
+     "This package allows you to query the availability of specific
+CPU features with low run-time cost.")
+    (license license:expat)))
+
 (define-public julia-crayons
   (package
     (name "julia-crayons")

base-commit: 5d7455bb580eed41a4fa7c20b71eaccad9f49e73
-- 
2.34.1

